<template>
    <v-stepper v-model="e1" class="mt-4">
      <v-stepper-header>
        <v-stepper-step  :complete="e1 > 1" step="1">
          Terms of Service
        </v-stepper-step>

        <v-divider />

        <v-stepper-step v-if="$route.query.hpHG == 'host' || $route.query.hpHG == 'guest'" :complete="e1 > ($route.query.hpHG == 'host' || $route.query.hpHG == 'guest' ? null : 2)" :step="($route.query.hpHG == 'host' || $route.query.hpHG == 'guest' ? null : 2)">
          Host or Guest
        </v-stepper-step>

        <v-divider />

        <v-stepper-step :complete="e1 > ($route.query.hpHG == 'host' || $route.query.hpHG == 'guest' ? 3 : 2)" :step="($route.query.hpHG == 'host' || $route.query.hpHG == 'guest' ? 3 : 2)">
          Biographical Information
        </v-stepper-step>

        <v-stepper-step :complete="e1 > ($route.query.hpHG == 'host' || $route.query.hpHG == 'guest' ? 4 : 3)" :step="($route.query.hpHG == 'host' || $route.query.hpHG == 'guest' ? 4 : 3)">
            Plan
        </v-stepper-step>
        <v-stepper-step :complete="e1 > ($route.query.hpHG == 'host' || $route.query.hpHG == 'guest' ? 5 : 4)" :step="($route.query.hpHG == 'host' || $route.query.hpHG == 'guest' ? 5 : 4)">
            Payment Details
        </v-stepper-step>
      </v-stepper-header>

      <v-stepper-items>
        
      </v-stepper-items>
    </v-stepper>
</template>

<script lang="ts">
import { Action } from 'vuex-class'
import { Component, Vue, Prop } from 'vue-property-decorator'


@Component({
    components: {}
})
export default class SignUp extends Vue {

    private e1: Number = 0



}
</script>